#!/bin/bash
if [ -e $H316/.links_present ]; then exit 0; fi
echo Creating links.

ln -s -f $H316/systems/super2.sys $H316/sys
ln -s -f $H316/systems/super3.sys $H316/sys
ln -s -f $H316/systems/dap.sys    $H316/sys

ln -s -f $H316/systems/super2.slst $H316/slst
ln -s -f $H316/systems/super3.slst $H316/slst
ln -s -f $H316/systems/dap.slst    $H316/slst

ln -s -f $H316/honeywell/obj/dap16.obj    $H316/obj
ln -s -f $H316/honeywell/obj/deccl.obj    $H316/obj
ln -s -f $H316/honeywell/obj/dumy-x16.obj $H316/obj
ln -s -f $H316/honeywell/obj/ios-16.obj   $H316/obj
ln -s -f $H316/honeywell/obj/ldr-apm.obj  $H316/obj
ln -s -f $H316/honeywell/obj/ldr-dumy.obj $H316/obj
ln -s -f $H316/honeywell/obj/pal-ap.obj   $H316/obj
ln -s -f $H316/honeywell/obj/prntnz.obj   $H316/obj
ln -s -f $H316/honeywell/obj/setsiz.obj   $H316/obj

touch $H316/.links_present

ln -s -f $H316/honeywell/slst/dap_8k.slst $H316/slst
ln -s -f $H316/honeywell/slst/frtn_8k.slst $H316/slst
ln -s -f $H316/honeywell/slst/ldr-apm_8k.slst $H316/slst
ln -s -f $H316/honeywell/slst/pal-ap_4k.slst $H316/slst

ln -s -f $H316/programs/fortran/frtn.sys $H316/sys
ln -s -f $H316/programs/fortran/frtn.slst $H316/slst

ln -s -f $H316/pc-tools/src-filters/paron  $H316/bin
ln -s -f $H316/pc-tools/src-filters/paroff $H316/bin
ln -s -f $H316/pc-tools/src-filters/tab    $H316/bin
ln -s -f $H316/pc-tools/src-filters/zstrip $H316/bin

ln -s -f $H316/pc-tools/ldc2/ldc2 $H316/bin/ldc
ln -s -f $H316/pc-tools/boot-maker/bmaker $H316/bin

ln -s -f $H316/honeywell/lib/iolib35.lib $H316/lib/iolib/original/iolib35.lib

ln -s -f $H316/honeywell/lib/flib{1,2,3}.lib $H316/lib/fortran/original
ln -s -f $H316/honeywell/lib/math.lib $H316/lib/fortran/original

for nb in `ls $H316/lib/common | grep -v CVS`; do
	n=`basename "$nb"`
	ln -s -f "$H316/lib/common/$n" $H316/lib/fortran
	ln -s -f "$H316/lib/common/$n" $H316/lib/iolib
	ln -s -f "$H316/lib/common/$n" $H316/lib/hachti
done

