/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:00:39 $
 * $Author: hachti $
 *
 * $Log: data_block_0_3.cpp,v $
 * Revision 2.0  2007/03/26 01:00:39  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#include "data_block_0_3.hh"

#include <stdio.h>

/*!
 *\brief Parent class copy constructor.
 */
data_block_0_3::data_block_0_3(data_block_0 & org)
  :data_block_0(org)
{
  m_has_known_type=false;
}


/*!
 *\brief Describe the block.
 *\return A vector of text lines describing this block.
 */
vector<string> data_block_0_3::get_description(){
  vector<string> result;
  result.insert(result.end(),"           "+get_typestring()+"End of Job");
  return result;
}

/***************************************************************/
/*!
 *\brief Determine if the block marks the end of an object
 *\return true because this block is an end block.
 */
bool data_block_0_3::is_endblock(){
  return true;
}

