/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:00:39 $
 * $Author: hachti $
 *
 * $Log: data_block_0_44.cpp,v $
 * Revision 2.0  2007/03/26 01:00:39  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#include "data_block_0_44.hh"

#include <stdio.h>

/*!
 *\brief Parent class copy constructor.
 */
data_block_0_44::data_block_0_44(data_block_0 & org)
  :data_block_0_label_extractor(org)
{
  m_has_known_type=false;
}

/*!
 *\brief Describe the block.
 *\return A vector of text lines describing this block.
 */
vector<string> data_block_0_44::get_description(){
  vector<string> result;
  string label=get_labels()[0];
  result.insert(result.end(),
			    label+"     "+get_typestring()+"Subprogram Call");
  return result;
}

/***************************************************************/
/*!
 *\brief Get called symbols.
 *\return A vector containing the symbol names called by this
 *        block.
 */
vector<string> data_block_0_44::get_called_symbols(){
  vector<string> result;
  result.insert(result.end(),get_labels()[0]);
  return result;
}
