/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:15:21 $
 * $Author: hachti $
 *
 * $Log: data_block_7.cpp,v $
 * Revision 2.1  2007/03/26 01:15:21  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/

#include "data_block_7.hh"

/*!
 *\brief Specialisation constructor.
 */
data_block_7::data_block_7(data_block & org)
  :data_block(org)
{
  m_has_known_type=false;
}

/*!
 *\brief Describe the block.
 *\return A vector of text lines describing this block.
 */
vector<string> data_block_7::get_description(){
  vector<string> result;
  result.insert(result.end(),extract_label(3)+"     "+
		get_typestring()+"Reference to Item In Common");
  return result;
}

/******************************************************************************/
/*!
 *\brief Get called symbols.
 *\return A vector containing the symbol names exported by this
 *        block.
 */
vector<string> data_block_7::get_called_symbols(){
  vector<string> result;
  string rs=extract_label(3);
  if (rs!="      ") result.insert(result.end(),rs);
  return result;
}
