/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:00:38 $
 * $Author: hachti $
 *
 * $Log: broken_block.hh,v $
 * Revision 2.0  2007/03/26 01:00:38  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#ifndef BROKEN_BLOCK_HH
#define BROKEN_BLOCK_HH

#include <vector>
#include <string>

#include "tape_block.hh"

using namespace std;

/*!
 * Class representating a broken tape block
 */
class broken_block
  : public tape_block
{
  friend class tape_block;

private:
  broken_block(tape_block&);

public:  
  int get_word_size();
  virtual vector<string> get_description();
  virtual bool get_obj_end();
};


#endif
